=== debian/changelog ===
doc-debian (6.4) unstable; urgency=medium

  [ Changes by Joost van Baal-Ilić ]
  * Update to reflect new versions of the constition: Version 1.7
    ratified on August 14th, 2016 (current) and Version 1.6 ratified on
    December 13th, 2015.  Thanks Laura Arjona Reina.  (Closes: #834977)
    - doc/constitution.1.5.wml, doc/constitution.1.6.wml,
      doc/constitution.wml: import 2 latest versions of Constitution for the
      Debian Project, update constitution.wml from 1.5 to current 1.7.
    - doc/Makefile: update build system to accommodate 1.5, 1.6 and 1.7
      of constitution.
  * doc/{bug-maint-info.wml,bug-maint-mailcontrol.wml,bug-reporting.wml},
    doc/bug-pkgreport-opts.inc: updated with latest content as found in
    webwml CVS sources.
  * mailing-lists.txt: Update with latest content from web pages.
  * Bump standards version to 3.9.8

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Sun, 28 Aug 2016 17:32:50 +0200
