## doc-debian 6.4+nmu1

=== debian/changelog ===
doc-debian (6.4+nmu1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Fri, 18 Dec 2020 19:17:14 +0100
