## doc-debian 6.5

=== doc/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 LANGUAGE = english
 # Adjust this (or create a symlink) to the location of your webml copy (if you have one)
 # If this directory does not exist the 'update' call will not be able to run, read
-# the README-build file to know how to set it up
+# the debian/README.source file to know how to set it up
 WEBWML   = ~/debian/www/webwml/$(LANGUAGE)
 
 WMLFILES= \
@@ -40,7 +40,7 @@
 	wml -i bug-pkgreport-opts.inc -q $< >$@
 
 %.txt: %.html
-	lynx -dump -nolist $< >$@
+	lynx -dump -nolist -display_charset=UTF-8 -assume_charset=UTF-8 $< >$@
 
 # These rules are conditioned to the existence of $(WEBWML)
 # so that the package can be built regardless of its existence
