=== debian/changelog ===
doc-debian (6.5) unstable; urgency=medium

  [ Changes by Joost van Baal-Ilić ]
  - doc/Makefile: apply patch contributed by intrigeri in
    <85mvmyu0ee.fsf@boum.org>: "Once applied, doc-debian can be built
    reproducibly in our current experimental framework."  This fixes an
    issue reported earlier by Daniel Kahn Gillmor: "currently, lynx
    produces text output on the basis of the locale.  this means that as
    the locale differs, the generated .txt files change." (Closes: #791673,
    #826544)
  - debian/control: move from Vcs-Svn on anonscm.debian.org aka Alioth
    (which was long gone) to Vcs-Git at
    https://salsa.debian.org/ddp-team/doc-debian.git. (Closes: #922929)
  - doc/constitution.wml, doc/constitution.1.6.wml: add missing end of
    sentence "er than V(D,A)." in Item A.6.3.2, cf
    https://www.debian.org/vote/2015/vote_003. Thanks Kurt Roeckx and Paul
    Gevers. See also www.debian.org Bug #896067.
  - debian/control: add myself to uploaders after OK from Javier
    Fernández-Sanguino Peña in private communication (Message-ID:
    <CAB9B7Uv-WeXLL2bDtD-X0_r92Ur4gPjXd9KBPw=Gv0bMkrGosQ@mail.gmail.com>).

 -- Joost van Baal-Ilić <joostvb@debian.org>  Fri, 01 Jan 2021 14:27:12 +0100
