=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: doc
 Priority: standard
 Maintainer: Javier Fernández-Sanguino Peña <jfs@debian.org>
-Uploaders: Josip Rodin <joy-packages@debian.org>
+Uploaders: Josip Rodin <joy-packages@debian.org>, Joost van Baal-Ilić <joostvb@debian.org>
 Standards-Version: 3.9.8
 Build-Depends-Indep: debhelper (>= 9), lynx, wml
-Vcs-Browser: http://anonscm.debian.org/viewvc/ddp/packages/trunk/doc-debian/
-Vcs-Svn: svn://anonscm.debian.org/ddp/packages/trunk/doc-debian/
+Vcs-Browser: https://salsa.debian.org/ddp-team/doc-debian
+Vcs-Git: https://salsa.debian.org/ddp-team/doc-debian.git
 
 Package: doc-debian
 Architecture: all
@@ -27,5 +27,5 @@
    * Debian Bug Tracking System documentation, and
    * Introduction to the Debian mailing lists.
  .
- All of these files are available at ftp://ftp.debian.org/debian/doc/ and
+ All of these files are available at http://ftp.debian.org/debian/doc/ and
  mirrors thereof.
