=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --sourcedirectory=doc

override_dh_auto_clean:
	$(MAKE) -C doc clean

get-orig-source:
	$(MAKE) -C doc update

#install::
# TODO - move the files 
#	cp $(docdir)/constitution.1.3.txt ../constitution.txt
#	cp $(docdir)/social-contract.txt ../social-contract.txt

binary-indep/doc-debian::
	dpkg-distaddfile constitution.txt byhand -
	dpkg-distaddfile social-contract.txt byhand -
# Code disabled: There already is a mechanism (which one?)
# synching files over to f.d.o/debian/doc although not exactly the
# same (it retains page footers, which this one doesn't)
#
#      cp $(docdir)/debian-manifesto ../
#      dpkg-distaddfile debian-manifesto byhand -
#      ( cd $(docdir) && ls *.txt) |  \
#          grep -v constitution | \
#          grep -v social-contract | \
#          while read txtfile; do \
#             cp $(docdir)/$$txtfile ../ ; \
#             dpkg-distaddfile $$txtfile byhand - ; \
#            done
