## doc-debian 11.3%2Bnmu1

=== debian/changelog ===
doc-debian (11.3+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable.

 -- Luca Boccassi <bluca@debian.org>  Tue, 23 May 2023 23:39:14 +0100

doc-debian (11.3) experimental; urgency=high

  * Improvements in previous d/changelog entry.
  * debian/compat: restored.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sat, 13 May 2023 20:13:48 +0200

doc-debian (11.2) experimental; urgency=high

  * This release is targeted for Debian 12 bookworm: changes with what is
    in testing now are minimal and suitable for an upload late in the
    release cycle.
  * debian/TODO: added
  * Since we are being build with debhelper >= 13.4 from Aug 2021, we no
    longer install /usr/share/doc-base/debian-*, but instead install
    /usr/share/doc-base/doc-debian.debian-* , see #980903 and
    debhelper/-/commit/8eac421c260e62bcecd571af225438e107b33157 .
    (Closes: #1035913).  Thanks Johannes Schauer Marin Rodrigues: "changed
    /usr/share/doc-base/ paths".
  * Revert all changes introduced in 11.0 and 11.1, _except_ for:
    + doc/*wml, doc/*inc: updated with latest content as found in webwml git
      sources at https://salsa.debian.org/webmaster-team/webwml.git:
      - doc/constitution.1.{0..6}.wml, doc/constitution.wml,
        doc/social-contract.{1.0,}wml: update URLs: minor fixes in wml
        syntax / layout, change http to https; in introduction, refer to
        constitution versions 1.5 (jan 2015), 1.6 (dec 2015) and
        1.7 (aug 2016)
      - bug-log-{access,mailserver}.wml, bug-maint-{info,mailcontrol}.wml,
        bug-{mailserver-refcard,reporting}.wml, bug-pkgreport-opts.inc:
        various updates.  Thanks Jakub Wilk.  (Closes: #1031294)
    + Add Debian Social Contract version 1.2:
      - doc/Makefile: add support for social-contract.1.1.wml (apr 2004).
      - doc/social-contract.*: renamed: social-contract.wml ->
        social-contract.1.1.wml
      - doc/social-contract.1.1.wml: updated header
      - doc/social-contract.wml: we now ship Debian Social Contract, Version
        1.2 ratified on October 1st, 2022.
    + Add Debian Constitution 1.9 (mar 2022) and 1.8 (jan 2022). Thanks Raúl
      Benencia.  (Closes: #1020509)
      - doc/constitution.*: renamed: constitution.wml ->
        constitution.1.7.wml
      - doc/constitution.1.8.wml: we now ship Debian Constitution 1.8 (jan
        2022)
      - doc/constitution.wml: we now ship Debian Constitution 1.9 (mar 2022)
    + doc/mailing-lists.txt: Update with may 2023 content from web pages.
    + doc/Makefile: fix/update error message for missing $(WEBWML).

 -- Joost van Baal-Ilić <joostvb@debian.org>  Thu, 11 May 2023 09:08:22 +0200

doc-debian (11.1) unstable; urgency=high

  * Properly close relevant bugreports in previous changelog entries.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Mon, 08 May 2023 07:21:32 +0200

doc-debian (11.0) unstable; urgency=high

  * urgency set to high in order to get this shipped with upcoming
    Debian 12 bookworm release.

  [ Changes by Joost van Baal-Ilić ]
  * debian/doc-debian.doc-base.debian-social-contract: Fix typo:
    s/DFGS/DFSG/.  Thanks Legimet.  (Closes: #843449)
  * debian/control: get rid of useless "Suggests: postscript-viewer,
    www-browser".  Thanks Jakub Wilk.  (Closes: #798013)
  * doc/*wml, doc/*inc: updated with latest content as found in webwml git
    sources at https://salsa.debian.org/webmaster-team/webwml.git:
    - doc/constitution.1.{0..6}.wml, doc/constitution.wml,
      doc/social-contract.{1.0,}wml: update URLs: minor fixes in wml
      syntax / layout, change http to https; in introduction, refer to
      constitution versions 1.5 (jan 2015), 1.6 (dec 2015) and
      1.7 (aug 2016)
    - bug-log-{access,mailserver}.wml, bug-maint-{info,mailcontrol}.wml,
      bug-{mailserver-refcard,reporting}.wml, bug-pkgreport-opts.inc:
      various updates.  Thanks Jakub Wilk.  (Closes: #1031294)
  * Add Debian Social Contract version 1.2:
    - doc/Makefile: add support for social-contract.1.1.wml (apr 2004).
    - doc/social-contract.*: renamed: social-contract.wml ->
      social-contract.1.1.wml
    - doc/social-contract.1.1.wml: updated header
    - doc/social-contract.wml: we now ship Debian Social Contract, Version
      1.2 ratified on October 1st, 2022.
  * Add Debian Constitution 1.9 (mar 2022) and 1.8 (jan 2022). Thanks Raúl
    Benencia.  (Closes: #1020509)
    - doc/constitution.*: renamed: constitution.wml ->
      constitution.1.7.wml
    - doc/constitution.1.8.wml: we now ship Debian Constitution 1.8 (jan
      2022)
    - doc/constitution.wml: we now ship Debian Constitution 1.9 (mar 2022)
  * doc/mailing-lists.txt: Update with nov 2021 content from web pages.
  * doc/Makefile: fix/update error message for missing $(WEBWML).
  * debian/README.source: website content (since long) moved from cvs to
    git; update our instructions.  Add hint on how one might want to
    perform a 'git clone'.
  * debian/{compat,control}: update debhelper compatibility version from
    deprecated 9 to 10.
  * tnx _jwilk for prodding me to finally upload.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Thu, 04 May 2023 04:09:36 +0200
