## doc-debian 11.3+nmu1

=== doc/Makefile ===
--- 
+++ 
@@ -12,8 +12,10 @@
 bug-log-mailserver.wml      bug-reporting.wml         \
 bug-mailserver-refcard.wml  constitution.wml          social-contract.wml    \
 bug-maint-info.wml          constitution.1.1.wml      social-contract.1.0.wml \
+social-contract.1.1.wml \
 constitution.1.2.wml        constitution.1.3.wml \
-constitution.1.4.wml        constitution.1.5.wml      constitution.1.6.wml
+constitution.1.4.wml        constitution.1.5.wml      constitution.1.6.wml \
+constitution.1.7.wml        constitution.1.8.wml
 
 # These are the automatic files we can generate:
 TXTFILES = $(subst .wml,.txt,$(WMLFILES))
@@ -64,6 +66,10 @@
 	cat $<  |grep -v ^# >$@
 constitution.wml: $(WEBWML)/devel/constitution.wml
 	cat $<  | perl -pe 's/<toc-add-entry /<h2><toc-add-entry /; s/toc-add-entry>/toc-add-entry><\/h2>/' | grep -v ^# >$@
+constitution.1.8.wml: $(WEBWML)/devel/constitution.1.8.wml
+	cat $<  |grep -v ^# >$@
+constitution.1.7.wml: $(WEBWML)/devel/constitution.1.7.wml
+	cat $<  |grep -v ^# >$@
 constitution.1.6.wml: $(WEBWML)/devel/constitution.1.6.wml
 	cat $<  |grep -v ^# >$@
 constitution.1.5.wml: $(WEBWML)/devel/constitution.1.5.wml
@@ -82,6 +88,8 @@
 	cat $<  |grep -v ^# >$@
 social-contract.wml:  $(WEBWML)/social_contract.wml
 	cat $<  |grep -v ^# >$@
+social-contract.1.1.wml:  $(WEBWML)/social_contract.1.1.wml
+	cat $<  |grep -v ^# >$@
 social-contract.1.0.wml:  $(WEBWML)/social_contract.1.0.wml
 	cat $<  |grep -v ^# >$@
 
@@ -93,7 +101,7 @@
 	cd $(WEBWML)/MailingLists && $(MAKE) mailing-lists.txt
 else
 %.wml:
-	@echo "ERROR: Cannot find $(WEBWML) to regenerate the sources. Please read the TODO."
+	@echo "ERROR: Cannot find $(WEBWML) to regenerate the sources. Please read debian/README.source."
 endif
 
 # Not in Debian's website, therefore kept in our own SVN:
