## doc-debian 11.3+nmu1build1

=== debian/changelog ===
doc-debian (11.3+nmu1build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Dec 2025 22:19:07 +0000
